fimgs(1)

NAME
fimgs - poor man's [http://]PostScript/pdf/dvi/cbr/rar/cbz/zip viewer based on fim

SYNOPSIS
fimgs [ {fimgs-options} ] file [-- [{fim-options}]]

DESCRIPTION
fimgs is a wrapper script which takes a PostScript or pdf or .cbr or .rar or .cbz or .zip or .dvi or any of the above prefixed with http:// or https:// or ssh: as input, renders the pages using ghostscript into a temporary directory and finally calls fim to display them. In case of compressed archives (in ZIP or RAR formats), the images are decompressed into a directory and displayed using fim. In this case, only images contained in the archive will be displayed (no nested archives or pdf's or ps's or dvi's). The temporary directory name will be of the form $TMPDIR/fbps-$$. If the $TMPDIR environment variable is unset, /dev/shm and /var/tmp will be checked for existence and permissions. The $$ above is the script process ID. The script deletes the temporary directory when fim terminates. In order to uncompress RAR archives, fimgs will use 'unrar-nonfree' or 'rar' or 'unrar-free'. In order to uncompress ZIP archives, fimgs will use 'zip'. In order to uncompress BZ2 files, 'bunzip2' will be used, if present. In order to uncompress TAR.GZ or TAR.BZ2 or TAR.XZ archives, fimgs will use 'tar'. In order to fetch http:// or https:// prefixed URLS, 'wget' will be used, if present. In order to fetch ssh: prefixed host:path locations, 'scp' will be used. In case of a CBZ, CBR, PDF, PS, or DVI file, will invoke fim with '--autotop --autowidth'.

OPTIONS
To pass through options to fim, you may specify them after "--". Default options are '--autozoom'. -r {resolution} Specify resolution for the 'gs' -r option (e.g.: 96x96; default 120x120).

-m  Dump a man page for fimgs.

-p {password}
    Specify password for the 'gs' -p (password) option.

-h  Will display a help message.

SEE ALSO
fim(1), fimrc(1), gs(1), fbi(1), fbgs(1), bash(1) ,zip(1), rar(1), rar-free(1), unrar-free(1), tar(1), gzip(1)

AUTHOR
Michele Martone <dezperado _ GUESS _ autistici.org>.